-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Responder = Guilder:GetModule("Responder")
local L = Guilder.L

Guilder_Responder:SetGlobalOptionsFunction(function(self)
	return "div", {
		type = "group",
		name = L["Busy Responder Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["Busy Responder allows you to set a response message to send to players when you recieve a whisper. You can also choose whether you also want the response to be sent to any of the groups listed below."],
				order = 0
			},
			h1 = {
				type = "header",
				name = L["Players to Respond to"],
				order = 1
			},
			RespondToOfficers = {
				type = "toggle",
				name = L["Guild Officers"],
				desc = L["Choose whether the responder should respond to officers of your guild"],
				order = 2,
				get = function() return self.db.profile.officer end,
				set = function(info, v) self.db.profile.officer = v end
			},
			RespondToMembers = {
				type = "toggle",
				name = L["Guild Members"],
				desc = L["Choose whether the responder should respond to members of your guild"],
				order = 3,
				get = function() return self.db.profile.guild end,
				set = function(info, v) self.db.profile.guild = v end
			},
			RespondToRaid = {
				type = "toggle",
				name = L["Raid Members"],
				desc = L["Choose whether the responder should respond to members of your raid"],
				order = 4,
				get = function() return self.db.profile.raid end,
				set = function(info, v) self.db.profile.raid = v end
			},
			RespondToParty = {
				type = "toggle",
				name = L["Party Members"],
				desc = L["Choose whether the responder should respond to members of your party"],
				order = 5,
				get = function() return self.db.profile.party end,
				set = function(info, v) self.db.profile.party = v end
			},
			RespondToFriends = {
				type = "toggle",
				name = L["Friends"],
				desc = L["Choose whether the responder should respond to members of your friends-list"],
				order = 6,
				get = function() return self.db.profile.friend end,
				set = function(info, v) self.db.profile.friend = v end
			},
			CustomiseMessage = {
				type = "input",
				name = L["Customise Message"],
				desc = L["Customise the message sent by the responder"],
				multiline = true,
				width = "full",
				order = 7,
				get = function() return self.db.profile.message end,
				set = function(info, v) self.db.profile.message = v end
			},
			ResetMessage = {
				type = "execute",
				name = L["Reset Message"],
				desc = L["Reset the message to the default message originally supplied"],
				order = 8,
				func = function() self.db.profile.message = L["Thank you for your message. Unfortunately, the recipient is unavailable to respond at this time but your message has been stored for later review."] end
			},
			TestMessage = {
				type = "execute",
				name = L["Test Message"],
				desc = L["Display the Busy Responder message in the default chat frame"],
				order = 9,
				func = function()
					if self.db.profile.enabled then
						Guilder:ShowMessage(L["%s is disabled"]:format("|cff00c0ff"..L["Busy Responder"].."|r"))
						return
					end
					Guilder:ShowMessage("|cff00c0ff"..L["Busy Responder"].."|r - "..self.db.profile.message)
				end
			}
		}
	}
end)
